commit ed46b81a966440711b008810028420120823a331
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Mon Mar 26 17:45:14 2018 +0200

    fix #7329 Unify naming for both specimen editors (bulk and hierarchy)

diff --git a/eu.etaxonomy.taxeditor.bulkeditor/OSGI-INF/l10n/bundle.properties b/eu.etaxonomy.taxeditor.bulkeditor/OSGI-INF/l10n/bundle.properties
index 68d4e2a3a..cf39017b4 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/OSGI-INF/l10n/bundle.properties
+++ b/eu.etaxonomy.taxeditor.bulkeditor/OSGI-INF/l10n/bundle.properties
@@ -43,4 +43,4 @@ handledmenuitem.label.4 = References
 handledmenuitem.label.5 = Names
 handledmenuitem.label.6 = Taxa
 handledmenuitem.label.7 = Media
-handledmenuitem.label.8 = Specimens and observations
+handledmenuitem.label.8 = Specimen Editor (list)
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/OSGI-INF/l10n/bundle_de.properties b/eu.etaxonomy.taxeditor.bulkeditor/OSGI-INF/l10n/bundle_de.properties
index 460ffac5c..e045342ed 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/OSGI-INF/l10n/bundle_de.properties
+++ b/eu.etaxonomy.taxeditor.bulkeditor/OSGI-INF/l10n/bundle_de.properties
@@ -43,4 +43,4 @@ handledmenuitem.label.4 = Referenzen
 handledmenuitem.label.5 = Namen
 handledmenuitem.label.6 = Taxa
 handledmenuitem.label.7 = Medien
-handledmenuitem.label.8 = Specimens und Beobachtungen
\ No newline at end of file
+handledmenuitem.label.8 = Specimen-Editor (Liste)
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/preference/BulkEditorGeneralPreferencePage.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/preference/BulkEditorGeneralPreferencePage.java
index 4a1eb557e..a9721dcad 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/preference/BulkEditorGeneralPreferencePage.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/preference/BulkEditorGeneralPreferencePage.java
@@ -24,7 +24,7 @@ public class BulkEditorGeneralPreferencePage extends FieldEditorPreferencePageE4
     @Override
     protected void createFieldEditors() {
         addField(new BooleanFieldEditor(IPreferenceKeys.BULK_EDITOR_OCCURRENCE_SHOW_FIELD_UNITS,
-                "Show Field Units in Bulk Editor.",
+                "Show Field Units in Specimen Editor (list).",
                 getFieldEditorParent()));
     }
 
diff --git a/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/plugin.properties b/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/plugin.properties
index 335068da5..51dddb764 100644
--- a/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/plugin.properties
+++ b/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/plugin.properties
@@ -9,7 +9,7 @@ editor.name.1 = Key
 editor.name.2 = Polytomous Key Graph Editor
 editor.name.3 = Polytomous Key List Editor
 editor.name.4 = Cdm Authority Editor
-editor.name.5 = Specimen Editor
+editor.name.5 = Specimen Editor (tree)
 view.name = Factual Data
 view.name.0 = Uses
 view.name.1 = Media
@@ -115,7 +115,7 @@ command.name.32 = Create Concept Relation
 command.name.33 = Open Related Concept
 category.name.7 = -- Group
 command.name.34 = Edit Authorities
-command.name.35 = Open Specimen Editor
+command.name.35 = Open Specimen Editor (tree)
 scheme.description = The default key binding scheme for the Taxonomic Editor
 scheme.name = Taxonomic Editor Default Key Bindings
 editor.name.6 = Specimen Import Editor
@@ -145,7 +145,7 @@ marker.field.5 = Validator
 marker.field.6 = Entity Class
 marker.field.7 = Entity Id
 extension.name.0 = Validation Error
-command.label.51 = Open in Specimen Editor
+command.label.51 = Open in Specimen Editor (tree)
 command.label.52 = Delete
 command.label.53 = Create Field Unit
 command.label.54 = Delete (with children)
@@ -170,24 +170,24 @@ command.name.49 = delete
 command.name.50 = delete
 command.name.51 = delete
 
-editor.name.DERIVATIVE_EDITOR = Specimen Editor
-command.label.DERIVATIVE_EDITOR = Specimen Editor (hierarchy)
+editor.name.DERIVATIVE_EDITOR = Specimen Editor (tree)
+command.label.DERIVATIVE_EDITOR = Specimen Editor (tree)
 command.label.LINK_WITH_TAXON_SELECTION = Link with taxon selection
 command.label.UNLINK_FROM_TAXON_SELECTION = Unlink from taxon selection
 command.label.REUSE_SINGLE_READ_HERE = Reuse single read here
 command.label.REUSE_SINGLE_READ_FOR_OTHER_SEQUENCE = Reuse for other sequence
 command.label.REMOVE_SINGLE_READ_FROM_THIS_SEQUENCE = Remove from this sequence
 command.name.OPEN_NAME_EDITOR_FOR_TAXON_NODE = Open Taxon Editor for taxonnode
-command.name.OPEN_DERIVATIVE_EDITOR = Open Specimen Editor
+command.name.OPEN_DERIVATIVE_EDITOR = Open Specimen Editor (tree)
 command.name.LINK_WITH_TAXON_SELECTION = Link with taxon selection
 command.name.COPY_SINGLE_READ_TO_CLIPBOARD = Copy SingleRead to clipboard
 command.name.REUSE_SINGLE_READ = Reuse SingleRead
 command.name.REMOVE_SINGLE_READ = Remove SingleRead from sequence
 
 viewCommandMapping.viewerName.NAME_EDITOR = Name Editor
-viewCommandMapping.viewerName.SPECIMEN_EDITOR = Specimen Editor
+viewCommandMapping.viewerName.SPECIMEN_EDITOR = Specimen Editor (tree)
 viewCommandMapping.viewerName.CHECKLIST_EDITOR = Distribution Editor
-command.name.OPEN_EDITOR_FOR_TYPE_SPECIMEN = Open specimen editor for type specimen
+command.name.OPEN_EDITOR_FOR_TYPE_SPECIMEN = Open specimen tree editor for type specimen
 menu.label.5 = Add...
 handledmenuitem.label.1 = Specimen
 handledmenuitem.label.2 = Tissue Sample
diff --git a/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/plugin_de.properties b/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/plugin_de.properties
index 2631af3d3..83e330bff 100644
--- a/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/plugin_de.properties
+++ b/eu.etaxonomy.taxeditor.editor/OSGI-INF/l10n/plugin_de.properties
@@ -114,7 +114,7 @@ command.name.32 = Erstelle Konzeptrelationen
 command.name.33 = \u00d6ffne verbundenes Konzept
 category.name.7 = -- Gruppe
 command.name.34 = Bearbeite Rechte
-command.name.35 = \u00d6ffne Specimen-Editor
+command.name.35 = \u00d6ffne Specimen-Editor (Baum)
 scheme.description = Die Standard Tastenkombinationsschema f\u00fcr den Taxonomischen Editor
 scheme.name = Taxonomic Editor Standard Tastenkombinationen
 editor.name.6 = Specimen Import Editor
@@ -144,7 +144,7 @@ marker.field.5 = Validierer
 marker.field.6 = Entit\u00e4tsklasse
 marker.field.7 = Entit\u00e4ts ID
 extension.name.0 = Validierungs-Fehler
-command.label.51 = \u00d6ffne Specimen-Editor
+command.label.51 = \u00d6ffne Specimen-Editor (Baum)
 command.label.52 = L\u00f6schen
 command.label.53 = Neue Field Unit
 command.label.54 = L\u00f6schen (mit Kindern)
@@ -167,24 +167,24 @@ command.name.50 = L\u00f6schen
 command.name.51 = L\u00f6schen
 command.name.57 = Setze als Basionym der homotypischen Gruppe
 
-editor.name.DERIVATIVE_EDITOR = Specimen-Editor
-command.label.DERIVATIVE_EDITOR = Specimen-Editor (Hierarchie)
+editor.name.DERIVATIVE_EDITOR = Specimen-Editor (Baum)
+command.label.DERIVATIVE_EDITOR = Specimen-Editor (Baum)
 command.label.LINK_WITH_TAXON_SELECTION = Verknüpfe mit Taxonauswahl
 command.label.UNLINK_FROM_TAXON_SELECTION = Verknüpfung mit Taxonauswahl aufheben
 command.label.REUSE_SINGLE_READ_HERE = Single-Read hier wiederverwenden
 command.label.REUSE_SINGLE_READ_FOR_OTHER_SEQUENCE = Für andere Sequenz wiederverwenden
 command.label.REMOVE_SINGLE_READ_FROM_THIS_SEQUENCE = Von dieser Sequenz entfernen
 command.name.OPEN_NAME_EDITOR_FOR_TAXON_NODE = Öffne Namenseditor für Taxonknoten
-command.name.OPEN_DERIVATIVE_EDITOR = Öffne Specimen-Editor
+command.name.OPEN_DERIVATIVE_EDITOR = Öffne Specimen-Editor (Baum)
 command.name.LINK_WITH_TAXON_SELECTION = Verknüpfe mit Taxonauswahl
 command.name.COPY_SINGLE_READ_TO_CLIPBOARD = Kopiere Single-Read in die Zwischenablage
 command.name.REUSE_SINGLE_READ = Single-Read wiederverwenden
 command.name.REMOVE_SINGLE_READ = Entferne Single-Read von Sequenz
 
 viewCommandMapping.viewerName.NAME_EDITOR = Namenseditor
-viewCommandMapping.viewerName.SPECIMEN_EDITOR = Specimen-Editor
+viewCommandMapping.viewerName.SPECIMEN_EDITOR = Specimen-Editor (Baum)
 viewCommandMapping.viewerName.CHECKLIST_EDITOR = Verbreitungs-Editor
-command.name.OPEN_EDITOR_FOR_TYPE_SPECIMEN = Öffne Specimen-Editor für Typusbelege
+command.name.OPEN_EDITOR_FOR_TYPE_SPECIMEN = Öffne Specimen-Baum-Editor für Typusbelege
 menu.label.5 = Hinzufügen...
 handledmenuitem.label.1 = Beleg
 handledmenuitem.label.2 = Gewebeprobe
diff --git a/eu.etaxonomy.taxeditor.editor/fragment.e4xmi b/eu.etaxonomy.taxeditor.editor/fragment.e4xmi
index 926035c72..473d9c29c 100644
--- a/eu.etaxonomy.taxeditor.editor/fragment.e4xmi
+++ b/eu.etaxonomy.taxeditor.editor/fragment.e4xmi
@@ -326,7 +326,7 @@
     <elements xsi:type="commands:Command" xmi:id="_XO7eUOSjEee9gvnH2Eirpw" elementId="eu.etaxonomy.taxeditor.editor.command.createWorkingSet" commandName="New Working Set"/>
     <elements xsi:type="commands:Command" xmi:id="_uPmNgOS3EeeKONG__xkGZg" elementId="eu.etaxonomy.taxeditor.editor.command.deleteWorkingSet" commandName="Delete Working Set"/>
     <elements xsi:type="commands:Command" xmi:id="_4k-uYPycEeeOqKfc2I-67A" elementId="eu.etaxonomy.taxeditor.editor.command.refresh" commandName="Refresh"/>
-    <elements xsi:type="commands:Command" xmi:id="_eTTa4C0vEeiiqYcnQ2drEA" elementId="eu.etaxonomy.taxeditor.openSpecimenEditorForGatheringEvent" commandName="Open specimen editor for gathering event"/>
+    <elements xsi:type="commands:Command" xmi:id="_eTTa4C0vEeiiqYcnQ2drEA" elementId="eu.etaxonomy.taxeditor.openSpecimenEditorForGatheringEvent" commandName="Open specimen tree editor for gathering event"/>
   </fragments>
   <fragments xsi:type="fragment:StringModelFragment" xmi:id="_pZmusEalEeeXMc6kSYO7Xg" featurename="children" parentElementId="eu.etaxonomy.taxeditor.menu.showView" positionInList="after:eu.etaxonomy.taxeditor.workbench.menuseparator.navigation">
     <elements xsi:type="menu:HandledMenuItem" xmi:id="_FPIHQKNwEeebGZ23ERGMGw" elementId="eu.etaxonomy.taxeditor.editor.showViewMenu.conceptGraph" label="%view.name.3" iconURI="" tooltip="%view.name.3" command="_WPjpoDSnEeek0dKsFNy--Q">
diff --git a/eu.etaxonomy.taxeditor.editor/plugin.xml b/eu.etaxonomy.taxeditor.editor/plugin.xml
index 3e1339fba..664a691bd 100644
--- a/eu.etaxonomy.taxeditor.editor/plugin.xml
+++ b/eu.etaxonomy.taxeditor.editor/plugin.xml
@@ -602,7 +602,7 @@
       <viewCommandMapping
             commandId="eu.etaxonomy.taxeditor.editor.openSpecimenEditor"
             selection="eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase"
-            viewerName="Specimen Editor">
+            viewerName="Specimen Editor (tree)">
       </viewCommandMapping>
       <viewCommandMapping
             commandId="eu.etaxonomy.taxeditor.editor.command.workingSet.openWorkingSetEditor"
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages.properties b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages.properties
index 9a13bf6c1..1b22747f0 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages.properties
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages.properties
@@ -4,12 +4,12 @@ SingleReadSequenceContextMenu_REMOVE_FROM_SEQUENCE=Remove from this Sequence
 SingleReadSequenceContextMenu_REUSE_FOR_SEQUENCE=Reuse for other Sequence
 SingleReadSequenceContextMenu_REUSE_SINGLE_READ_HERE=Reuse SingleRead here
 DerivateView_CNT_DERIVATIVES_FOUND=%d derivative hierarchies found
-DerivateView_DERIVATIVE_EDITOR=Specimen Editor
+DerivateView_DERIVATIVE_EDITOR=Specimen Editor (tree)
 DerivateView_NO_TAXON_SELECTED=\ [no taxon selected]
 DerivateView_PERF_WARNING=Performance warning
-DerivateView_PERF_WARNING_MESSAGE=Specimens will not be loaded\!\n There are %d specimens associated with the current selection. If you really want to show all of them in the specimen editor please use the taxon filter in the search bar.
+DerivateView_PERF_WARNING_MESSAGE=Specimens will not be loaded\!\n There are %d specimens associated with the current selection. If you really want to show all of them in the specimen tree editor please use the taxon filter in the search bar.
 DerivateView_SAVING_HIERARCHY=Saving hierarchy
-DerivateView_SPECIMEN_EDITOR=Specimen Editor
+DerivateView_SPECIMEN_EDITOR=Specimen Editor (tree)
 DerivateView_UNSAVED_CHANGES=View has unsaved changes
 DerivateView_YOU_NEED_TO_SAVE=You need to save before performing this action
 DeleteDerivateOperation_AND_CHILDREN= and its children
@@ -31,7 +31,7 @@ MoveDescriptionToOtherTaxonHandler_SAVE_CHANGES=Save changes
 MoveDescriptionToOtherTaxonHandler_SAVE_CHANGES_MESSAGE=You have made changes that must be saved before this query can be executed. Would you like to proceed?
 MoveDescriptionToOtherTaxonOperation_MOVED_FROM=Description moved from %s
 MoveMediaInListOperation_MORE_DESC=More than one description element in this image gallery
-OpenDerivateEditorForTaxonHandler_COULD_NOT_OPEN_EDITOR=Could not open Specimen Editor
+OpenDerivateEditorForTaxonHandler_COULD_NOT_OPEN_EDITOR=Could not open Specimen Editor (tree)
 OpenDerivateEditorForTaxonHandler_FAILED_TO_OPEN=Failed to open Editor
 OpenDerivateEditorForTaxonHandler_HIERARCHY_CORRUPTED=The derivative hierarchy is corrupted\!
 OpenDerivateEditorForTaxonHandler_NO_DERIVATIVES_FOUND=No Derivatives found
@@ -58,7 +58,7 @@ UsesLabelProvider_USE=Use:
 UsesViewPart_VIEWER_NAME=Uses
 SetSecundumHandler_configureSettings=Configure the settings for secundum reference exchange of the subtree
 SetSecundumHandler_confirm=Confirm the exchange of secundum reference
-DefaultOpenSpecimenEditorForTypeSpecimenHandler_COULD_NOT_OPEN=Specimen editor could not be opened
+DefaultOpenSpecimenEditorForTypeSpecimenHandler_COULD_NOT_OPEN=Specimen tree editor could not be opened
 DefaultOpenTaxonEditorForTaxonBaseHandler_COULD_NOT_OPEN=Could not open taxon editor for taxon/synonym 
 DefaultOpenTaxonEditorForTaxonNodeHandler_COULD_NOT_OPEN=Could not open taxon editor for taxon node
 OpenChecklistEditorHandler_CHOOSE_AREA=Please choose the areas you want to display. 
@@ -66,7 +66,7 @@ OpenChecklistEditorHandler_COULD_NOT_OPEN_MESSAGE=Could not open Distribution Ed
 OpenChecklistEditorHandler_COULD_NOT_OPEN_TITLE=Could not open Distribution Editor
 OpenChecklistEditorHandler_GOTO_PREFERENCES=For this go to the preferences, choose the Checklist Editor and choose the areas in the Distribution Selection Wizard.
 OpenChecklistEditorHandler_NO_AREAS=No Areas to display
-OpenDerivateViewHandler_COULD_NOT_OPEN=Specimen editor could not be opened
+OpenDerivateViewHandler_COULD_NOT_OPEN=Specimen tree editor could not be opened
 DeleteNodeHandler_CANCEL=Cancel
 DeleteNodeHandler_CONFIRM_DELETE=Confirm deletion of children
 DeleteNodeHandler_NO=No
@@ -232,7 +232,7 @@ DeleteMediaHandler_DELETE=Delete
 DeleteMediaHandler_SKIP=Skip
 OpenDerivativeEditorForDescriptionElement_NO_SPECIMENS=No specimens found
 OpenDerivativeEditorForDescriptionElement_NO_SPECIMENS_MESSAGE=No specimens found for the selected object. (Maybe there are unsaved changes)
-OpenDerivativeEditorForTaxonNode_COULD_NOT_OPEN=Specimen editor could not be opened
+OpenDerivativeEditorForTaxonNode_COULD_NOT_OPEN=Specimen tree editor could not be opened
 DerivateSearchComposite_ALL=All
 DerivateSearchComposite_DERIVATE_TYPE=Derivative Type
 DerivateSearchComposite_NEW_TEXT=New Text
@@ -242,7 +242,7 @@ DerivateSearchComposite_TAXON=Taxon
 DerivateSearchComposite_TAXON_ASSIGNMENT=Taxon assignment
 DerivateSearchComposite_TITLE_CACHE=Title Cache
 DerivateSearchComposite_YES=Yes
-DerivateViewEditorInput_SPECIMEN_EDITOR=Specimen Editor
+DerivateViewEditorInput_SPECIMEN_EDITOR=Specimen Editor (tree)
 DynamicFeatureMenuE4_new=New
 WorkingSetComposite_AREA=Area
 WorkingSetComposite_CHOOSE=Choose...
diff --git a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages_de.properties b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages_de.properties
index d4c0ae401..99308c64e 100644
--- a/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages_de.properties
+++ b/eu.etaxonomy.taxeditor.editor/src/main/java/eu/etaxonomy/taxeditor/editor/l10n/messages_de.properties
@@ -4,12 +4,12 @@ SingleReadSequenceContextMenu_REMOVE_FROM_SEQUENCE=Von Sequenz entfernen
 SingleReadSequenceContextMenu_REUSE_FOR_SEQUENCE=Für andere Sequenz verwenden
 SingleReadSequenceContextMenu_REUSE_SINGLE_READ_HERE=SingleRead hier verwenden
 DerivateView_CNT_DERIVATIVES_FOUND=%d Derivat-Hierarchien gefunden
-DerivateView_DERIVATIVE_EDITOR=Specimen-Editor
+DerivateView_DERIVATIVE_EDITOR=Specimen-Editor (Baum)
 DerivateView_NO_TAXON_SELECTED=\ [kein Taxon ausgewählt]
 DerivateView_PERF_WARNING=Performance-Warnung
-DerivateView_PERF_WARNING_MESSAGE=Specimens werden nicht geladen\!\n Es gibt %d Specimens für die aktuelle Auswahl. Wenn wirklich alle Specimens im Specimen-Editor angezeigt werden sollen, dann nutzen Sie bitte den Taxon-Filter in der Suchleiste.
+DerivateView_PERF_WARNING_MESSAGE=Specimens werden nicht geladen\!\n Es gibt %d Specimens für die aktuelle Auswahl. Wenn wirklich alle Specimens im Specimen-Baum-Editor angezeigt werden sollen, dann nutzen Sie bitte den Taxon-Filter in der Suchleiste.
 DerivateView_SAVING_HIERARCHY=Speichere Hierarchie
-DerivateView_SPECIMEN_EDITOR=Specimen-Editor
+DerivateView_SPECIMEN_EDITOR=Specimen-Editor (Baum)
 DerivateView_UNSAVED_CHANGES=Ungepeicherte Änderungen
 DerivateView_YOU_NEED_TO_SAVE=Sie müssen speichern, um diese Aktion auszuführen
 DeleteDerivateOperation_AND_CHILDREN= (mit Kind-Elementen)
@@ -31,7 +31,7 @@ MoveDescriptionToOtherTaxonHandler_SAVE_CHANGES=
 MoveDescriptionToOtherTaxonHandler_SAVE_CHANGES_MESSAGE=Änderungen müssen gespeichert werden, bevor die Anfrage ausgeführt werden kann. Fortfahren?
 MoveDescriptionToOtherTaxonOperation_MOVED_FROM=Beschreibung verschoben von %s
 MoveMediaInListOperation_MORE_DESC=Mehr als eine Beschreibung in dieser Bildergalerie
-OpenDerivateEditorForTaxonHandler_COULD_NOT_OPEN_EDITOR=Konnte Specimen-Editor nicht öffnen
+OpenDerivateEditorForTaxonHandler_COULD_NOT_OPEN_EDITOR=Konnte Specimen-Baum-Editor nicht öffnen
 OpenDerivateEditorForTaxonHandler_FAILED_TO_OPEN=Öffnen des Editors fehlgeschlagen
 OpenDerivateEditorForTaxonHandler_HIERARCHY_CORRUPTED=Die Derivathierarchie ist korrumpiert\!
 OpenDerivateEditorForTaxonHandler_NO_DERIVATIVES_FOUND=Keine Derivate gefunden
@@ -58,7 +58,7 @@ UsesLabelProvider_USE=Nutzung:
 UsesViewPart_VIEWER_NAME=Nutzung
 SetSecundumHandler_configureSettings=Konfigurieren Sie das Ersetzen der Secundum Referenz für den ausgewählten Teilbaum.
 SetSecundumHandler_confirm=Ersetzen der Secundum Referenz bestätigen
-DefaultOpenSpecimenEditorForTypeSpecimenHandler_COULD_NOT_OPEN=Specimen-Editor konnte nicht geöffnet werden
+DefaultOpenSpecimenEditorForTypeSpecimenHandler_COULD_NOT_OPEN=Specimen-Baum-Editor konnte nicht geöffnet werden
 DefaultOpenTaxonEditorForTaxonBaseHandler_COULD_NOT_OPEN=Taxon-Editor für Taxon/Synonym konnte nicht geöffnet werden
 DefaultOpenTaxonEditorForTaxonNodeHandler_COULD_NOT_OPEN=Taxon-Editor für Taxonknoten konnte nicht geöffnet werden 
 OpenChecklistEditorHandler_CHOOSE_AREA=Bitte wählen Sie das Gebiet aus, das dargestellt werden soll
@@ -66,7 +66,7 @@ OpenChecklistEditorHandler_COULD_NOT_OPEN_MESSAGE=Der Verbreitungs-Editor konnte
 OpenChecklistEditorHandler_COULD_NOT_OPEN_TITLE=Der Verbreitungs-Editor konnte nicht geöffnet werden
 OpenChecklistEditorHandler_GOTO_PREFERENCES=Hierfür gehen Sie zu den Preferences, wählen Sie Checklist Editor und dann die Gebiete in dem Verbreitungs-Wizard.
 OpenChecklistEditorHandler_NO_AREAS=Keine Gebiete, die angezeigt werden können
-OpenDerivateViewHandler_COULD_NOT_OPEN=Specimen-Editor konnte nicht geöffnet werden.
+OpenDerivateViewHandler_COULD_NOT_OPEN=Specimen-Baum-Editor konnte nicht geöffnet werden.
 DeleteNodeHandler_CANCEL=Abbrechen
 DeleteNodeHandler_CONFIRM_DELETE=Löschen der Kindknoten bestätigen
 DeleteNodeHandler_NO=Nein
@@ -222,7 +222,7 @@ DeleteDerivateHandler_LABEL=L
 DeleteDerivateHandler_SUCCESSFULL_BUT_EXCEPTIONS=Löschen war erfolgreich, aber es gab Exceptions
 OpenDerivativeEditorForDescriptionElement_NO_SPECIMENS=Keine Specimens gefunden
 OpenDerivativeEditorForDescriptionElement_NO_SPECIMENS_MESSAGE=Keine Specimens für die Auswahl. (Gibt es vielleicht noch ungespeicherte Änderungen?)
-OpenDerivativeEditorForTaxonNode_COULD_NOT_OPEN=Specimen-Editor konnte nicht geöffnet werden
+OpenDerivativeEditorForTaxonNode_COULD_NOT_OPEN=Specimen-Baum-Editor konnte nicht geöffnet werden
 DeleteDescriptionElementOperation_DESC_NOT_FOUND=Beschreibung konnte nicht gefunden werden!
 DeleteHandler_CONFIRM_DELETION=Löschen bestätigen
 DeleteHandler_CONFIRM_DELETION_MESSAGE=Wollen sie die Mediendaten wirklich löschen?
@@ -242,7 +242,7 @@ DerivateSearchComposite_TAXON=Taxon
 DerivateSearchComposite_TAXON_ASSIGNMENT=Taxonbestimmung
 DerivateSearchComposite_TITLE_CACHE=Titlecache
 DerivateSearchComposite_YES=Ja
-DerivateViewEditorInput_SPECIMEN_EDITOR=Specimen-Editor
+DerivateViewEditorInput_SPECIMEN_EDITOR=Specimen-Editor (Baum)
 DynamicFeatureMenuE4_new=Neu
 WorkingSetComposite_AREA=Gebiet
 WorkingSetComposite_CHOOSE=Gebiet wählen...
diff --git a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties
index 6d80aedd8..be39667b5 100644
--- a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties
+++ b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties
@@ -136,7 +136,7 @@ page.name.33 = Sort of Taxonnodes
 page.name.34 = Debug Preferences
 page.name.35 = Areas for Distributions
 command.label.clone = Clone
-command.label.openInSpecimenEditor = Open in Specimen Editor
+command.label.openInSpecimenEditor = Open in Specimen Editor (tree)
 page.name.31 = Order of Taxonnodes
 extension.name.0 = Popup Menu Commands
 command.name.8 = Clone Datasource
diff --git a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties
index f784521c6..274e5e95b 100644
--- a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties
+++ b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties
@@ -136,7 +136,7 @@ page.name.33 = Sortierung im TaxonNavigator
 page.name.34 = Debug Einstellungen
 page.name.35 = Gebiete für Verbreitungsdaten
 command.label.clone = Klonen
-command.label.openInSpecimenEditor = \u00d6ffnen im Specimen-Editor
+command.label.openInSpecimenEditor = \u00d6ffnen im Specimen-Editor (Baum)
 page.name.31 = Taxonknoten-Reihenfolge
 extension.name.0 = Popup Menu Befehle
 command.name.8 = Datenquelle klonen